diff -urN a/data/keymaps/i386/carpalx/carpalx-full.map b/data/keymaps/i386/carpalx/carpalx-full.map
--- a/data/keymaps/i386/carpalx/carpalx-full.map	1969-12-31 18:00:00.000000000 -0600
+++ b/data/keymaps/i386/carpalx/carpalx-full.map	2016-03-27 03:17:24.503374524 -0500
@@ -0,0 +1,16 @@
+# carpalx-full.map
+# Layout created by Martin Krzywinski, http://mkweb.bcgsc.ca/carpalx/
+# This keymap file created by Perry Thompson
+include "carpalx.map"
+
+plain keycode  21 = b
+shift keycode  21 = B
+
+plain keycode  22 = y
+shift keycode  22 = Y
+
+plain keycode  24 = v
+shift keycode  24 = V
+
+plain keycode  47 = f
+shift keycode  47 = F
diff -urN a/data/keymaps/i386/carpalx/carpalx.map b/data/keymaps/i386/carpalx/carpalx.map
--- a/data/keymaps/i386/carpalx/carpalx.map	1969-12-31 18:00:00.000000000 -0600
+++ b/data/keymaps/i386/carpalx/carpalx.map	2016-03-27 03:17:47.451365416 -0500
@@ -0,0 +1,78 @@
+# carpalx.map
+# Layout created by Martin Krzywinski, http://mkweb.bcgsc.ca/carpalx/
+# This keymap file created by Perry Thompson
+keymaps 0-2,4-6,8-9,12
+alt_is_meta
+include "linux-with-alt-and-altgr.inc"
+strings as usual
+
+keycode   1 = Escape
+keycode   2 = one              exclam
+keycode   3 = two              at               at               nul              nul
+keycode   4 = three            numbersign
+	control	keycode   4 = Escape
+keycode   5 = four             dollar           dollar           Control_backslash
+keycode   6 = five             percent
+	control	keycode   6 = Control_bracketright
+keycode   7 = six              asciicircum
+	control	keycode   7 = Control_asciicircum
+keycode   8 = seven            ampersand        braceleft        Control_underscore
+keycode   9 = eight            asterisk         bracketleft      Delete
+keycode  10 = nine             parenleft        bracketright
+keycode  11 = zero             parenright       braceright
+keycode  12 = minus            underscore       backslash        Control_underscore Control_underscore
+keycode  13 = equal            plus
+keycode  14 = Delete
+keycode  15 = Tab
+	shift	keycode  15 = Meta_Tab
+keycode  16 = q
+keycode  17 = g
+keycode  18 = m
+keycode  19 = l
+keycode  20 = w
+keycode  21 = y
+keycode  22 = f
+keycode  23 = u
+keycode  24 = b
+keycode  25 = semicolon        colon
+keycode  26 = bracketleft      braceleft
+	control	keycode  26 = Escape
+keycode  27 = bracketright     braceright       asciitilde       Control_bracketright
+keycode  28 = Return
+	alt	keycode  28 = Meta_Control_m
+keycode  29 = Control
+keycode  30 = d
+keycode  31 = s
+keycode  32 = t
+keycode  33 = n
+keycode  34 = r
+keycode  35 = i
+keycode  36 = a
+keycode  37 = e
+keycode  38 = o
+keycode  39 = h
+keycode  40 = apostrophe       quotedbl
+	control	keycode  40 = Control_g
+keycode  41 = grave            asciitilde
+	control	keycode  41 = nul
+keycode  42 = Shift
+keycode  43 = backslash        bar
+	control	keycode  43 = Control_backslash
+keycode  44 = z
+keycode  45 = x
+keycode  46 = c
+keycode  47 = v
+keycode  48 = j
+keycode  49 = k
+keycode  50 = p
+keycode  51 = comma            less
+keycode  52 = period           greater
+keycode  53 = slash            question
+	control	keycode  53 = Delete
+keycode  54 = Shift
+keycode  56 = Alt
+keycode  57 = space
+	control	keycode  57 = nul
+keycode  58 = Caps_Lock
+keycode  86 = less             greater          bar
+keycode  97 = Control
diff -urN a/data/Makefile.am b/data/Makefile.am
--- a/data/Makefile.am	2013-08-27 15:45:33.000000000 -0500
+++ b/data/Makefile.am	2016-03-27 02:43:29.052463005 -0500
@@ -11,7 +11,7 @@
 
 KEYMAPSUBDIRS = include sun amiga atari i386/azerty i386/bepo i386/dvorak \
 	i386/fgGIod i386/qwerty i386/qwertz i386/include i386/olpc \
-	i386/colemak mac/include mac/all
+	i386/colemak i386/carpalx mac/include mac/all
 
 # Do not use GZIP - it is interpreted by gzip
 MYGZIP = gzip -f -n -9
diff -urN a/data/Makefile.in b/data/Makefile.in
--- a/data/Makefile.in	2015-07-13 17:17:11.000000000 -0500
+++ b/data/Makefile.in	2016-03-27 02:43:14.982470313 -0500
@@ -231,7 +231,7 @@
 TRANSDIR = consoletrans
 KEYMAPSUBDIRS = include sun amiga atari i386/azerty i386/bepo i386/dvorak \
 	i386/fgGIod i386/qwerty i386/qwertz i386/include i386/olpc \
-	i386/colemak mac/include mac/all
+	i386/colemak i386/carpalx mac/include mac/all
 
 
 # Do not use GZIP - it is interpreted by gzip
